# ratatrix

## Setup

1. Create an account on [any Matrix homeserver](https://servers.joinmatrix.org/)
2. Install Rust
3. Copy `.config/config.toml` or `.config/config.json5` to `~/.config/ratatrix/`
   and fill the placeholders with your credentials
4. `cargo run`

## Configuration

Ratatrix supports multiple configuration format: TOML, JSON/JSON5, YAML, and INI,
you may choose whichever you prefer. If you don't have a preference, pick TOML.
Example configurations for TOML and JSON5 are provided in `.config`.

Default values for all settings, and their documentation, can be found in
`src/default_config.toml`.
